Subject: Proposed Revisions to IETF Trust Administrative Procedures

From: Ray Pelletier <[email-masked]>
Date: Thu, 03 Apr 2008 15:17:37 -0400

All,

The Trustees of the IETF Trust are considering changing the Trust 
administrative procedures and seek community comment before doing so.  
The Trustees propose to take action at its April 17th meeting and will 
consider all comments received by that date.

The proposed changes would:
1. Permit the Trustees to select a Trustee to act as the Chair.  Current 
procedures state the IAOC Chair will convene and preside over the meetings

2. Recognize that the Chair holds no greater power than any other 
Trustee and therefore their vote as Chair does not become a deciding 
vote in cases where there is a tie vote.

3. Would synchronize the Administrative Procedures with the Trust 
Agreement by recognizing that an IAOC member becomes a Trustee upon 
their acceptance of the responibilties in writing, not merely by 
becoming a member of the IAOC.

The proposed changes below modify paragraphs 2, 4 and 12 of the Trust 
Administrative Procedures located here:  
http://trustee.ietf.org/foundingdocuments.html

Look forward to your comments.

Ray Pelletier
Trustee
IAD

Proposed Changes:

Current #2

2. The meetings shall be convened and chaired by the IAOC Chair, or by any
Trustee if the IAOC Chair is not available.

Proposed #2

2. The Trustees shall select one Trustee to serve as the Chair of the
Trust.  The term of the Trust Chair shall be one year from the time of
selection or the remaining time of his or her tenure as a Trustee,
whichever is less.  An individual may serve any number of terms as
Chair, if selected by the Trustees.

The Chair serves at the pleasure of the Trustees and may be removed from
that position at any time by a vote of 2/3 of the voting Trustees, not
counting the Trust Chair.

The Chair shall convene and preside over meetings of the Trustees
 but shall have no other powers or authority beyond his or her powers
 as a Trustee.  If the Trust Chair is not available, then any other
 Trustee may convene or preside over meetings of the Trustees in the
 absence of the Trust Chair.

4. The Trust Agreement defines the quorum and voting rules for a 
meeting. [Delete - If necessary, the Chair of the meeting shall hold the 
deciding vote.] Motions passed by electronic means between meetings 
shall be confirmed by a vote at the next possible meeting.

12. The Trustees are the current members of the IAOC. When a member 
leaves the IAOC for whatever reason, he or she ceases to be a Trustee. 
When a new member joins the IAOC, he or she becomes a Trustee [ADD - 
upon their acceptance in writing]. If at any time the IAOC ceases to 
exist, the Trustees then in office shall remain in office and determine 
the future of the Trust in accordance with the Trust Agreement.

_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Thu, 03 Apr 2008 16:54:03 -0400

Ray,

Some observations...

(1) If someone doesn't become a Trustee until her or she is
willing to sign something, one either needs to have explicit
provisions for what happens if someone declines to sign or
willingness to sign has to be an explicit condition for
membership in the IAOC.  Since several of the IAOC members are
ex-officio, I don't really see how to do the latter, but it is
probably possible.

(2) Because some members of the IAOC are appointed by (or
ex-officio from) other bodies, I would prefer that, if there is
going to be a separate Trust Chair, that person be required to
be an IETF appointee and subject to recall.  No matter how many
"the Chair is nothing special" rules one has, we all know from
experience that long-term (as distinct from rotating) chairs of
long-lived bodies tend to be treated, externally at least, as
spokespeople, etc.

(3) I don't recall seeing it before, which may be my fault, but
the provision that, if the IAOC is dissolved, the Trustees
become permanent appointments and get to determine the Trust's
fate is very unattractive.  Probably the Trust and/or IAOC
procedures or charter should be modified so that, in the event
of the demise of the IAOC, the Trust falls firmly under direct
IETF control (unless the IETF itself ceases to exist).   There
might be other ways to do it, but perhaps the termination of the
IAOC without other provisions should immediately add the entire
IAB and/or IESG (or whichever one survives), ex-officio to the
voting roster of Trustees for the duration.

     john

--On Thursday, 03 April, 2008 15:17 -0400 Ray Pelletier
<[email-masked]> wrote:

> All,
> 
> The Trustees of the IETF Trust are considering changing the
> Trust administrative procedures and seek community comment
> before doing so.  The Trustees propose to take action at its
> April 17th meeting and will consider all comments received by
> that date.
> 
> 1. Permit the Trustees to select a Trustee to act as the
> Chair.  Current procedures state the IAOC Chair will convene
> and preside over the meetings
> 
> 2. Recognize that the Chair holds no greater power than any
> other Trustee and therefore their vote as Chair does not
> become a deciding vote in cases where there is a tie vote.
> 
> 3. Would synchronize the Administrative Procedures with the
> Trust Agreement by recognizing that an IAOC member becomes a
> Trustee upon their acceptance of the responibilties in
> writing, not merely by becoming a member of the IAOC.
> 
> The proposed changes below modify paragraphs 2, 4 and 12 of
> the Trust Administrative Procedures located here:
> 4. The Trust Agreement defines the quorum and voting rules for
> a meeting. [Delete - If necessary, the Chair of the meeting
> shall hold the deciding vote.] Motions passed by electronic
> means between meetings shall be confirmed by a vote at the
> next possible meeting.
> 
> 12. The Trustees are the current members of the IAOC. When a
> member leaves the IAOC for whatever reason, he or she ceases
> to be a Trustee. When a new member joins the IAOC, he or she
> becomes a Trustee [ADD - upon their acceptance in writing]. If
> at any time the IAOC ceases to exist, the Trustees then in
> office shall remain in office and determine the future of the
> Trust in accordance with the Trust Agreement.
>

---

From: Russ Housley <[email-masked]>
Date: Thu, 03 Apr 2008 17:25:59 -0400

>long-lived bodies tend to be treated, externally at least, as

We already have recall procedures for IAOC members.  They are 
documented in RFC 4071.  Since the first requirement to be a Trustee 
is to be an IAOC member, nothing further seems to be needed.

Russ

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 04 Apr 2008 11:39:47 +1300

John,

> ex-officio, I don't really see how to do the latter, but it is

This change to the admin procedures is a no-op, since it
merely repeats what is said in 6.1(a) of the Trust Agreement.
So it's clear enough: someone who hasn't signed is *not* a Trustee.
If an IAOC member fails to sign and is not subject to IETF recall,
that sounds like an HR issue to me. I don't see what we can do
in our texts, so I support the proposed change (even though it's
a no-op).

> long-lived bodies tend to be treated, externally at least, as

I agree that the two staff positions in the IAOC (IAD and ISOC
President/CEO) should not be eligible as Trust chair, since there
is no recall path.  (Obviously I don't suggest that either of
them is otherwise unsuitable ;-)

> voting roster of Trustees for the duration.

That really fills a small gap in the Trust Agreement (which talks about
what happens if the IETF or IESG ceases to exist but not if the IAOC
ceases to exist). I think you're correct that it could be improved,
but can we separate that from the current proposed changes?

   Brian

---

From: John C Klensin <[email-masked]>
Date: Fri, 04 Apr 2008 01:21:57 -0400

--On Friday, 04 April, 2008 11:39 +1300 Brian E Carpenter
<[email-masked]> wrote:

> So it's clear enough: someone who hasn't signed is *not* a
> Trustee. If an IAOC member fails to sign and is not subject to
> IETF recall, that sounds like an HR issue to me. I don't see
> what we can do in our texts, so I support the proposed change
> (even though it's a no-op).

Brian, the recall process, even if we figured out how to use it
in practice rather than in theory, takes months.  So, if we do
things this way, we need to change the selection requirements
for an IAOC member (and that includes the IETF Chair and IAB
Chair) to include a formal commitment to willingness to sign.

That is why this proposed change, even though I understand why
you call it a no-op, may be wrong.  Wouldn't it be better to
figure out a way to get someone to sign as part of the relevant
selection process, effective when they are seated as IAOC
members, so that we don't have a potential race condition or
problem after they are seated?   See the difference?

>> ex-officio from) other bodies, I would prefer that, if there
>> is going to be a separate Trust Chair, that person be
>> required to be an IETF appointee and subject to recall.  No
>> matter how many "the Chair is nothing special" rules one has,
>> we all know from experience that long-term (as distinct from
>> rotating) chairs of long-lived bodies tend to be treated,
>> externally at least, as spokespeople, etc.
> 
> President/CEO) should not be eligible as Trust chair, since
> there is no recall path.  (Obviously I don't suggest that
> either of them is otherwise unsuitable ;-)

Well, the IAD _is_ unsuitable, not because of any issues with
the incumbent, but because the optics of having the IAD, who is
selected and supervised by an IAOC subcommittee, chairing the
Trust (or the IAOC for that matter) are just not attractive.

But I also said "IETF appointee", presumably including the IETF
Chair, the IAB Chair, and those appointed by the IAB, IESG, and
Nomcom.  You seized on the "subject to recall" part, which was
less important, especially how frequently we use the recall
process to correct problems.  Perhaps I should have said "IETF
appointee and therefore subject to the IETF's current version of
public flogging" instead.   If we are going to preserve the
IETF-ISOC relationship that was so carefully negotiated in RFC
4071/BCP 101, then I don't think that an ISOC-appointed member
of the IAOC should be permitted to be IETF Trust Chair.

>> (3) I don't recall seeing it before, which may be my fault,
>> but the provision that, if the IAOC is dissolved, the Trustees
>> might be other ways to do it, but perhaps the termination of
>> the IAOC without other provisions should immediately add the
>> entire IAB and/or IESG (or whichever one survives),
>> ex-officio to the voting roster of Trustees for the duration.
> 
> That really fills a small gap in the Trust Agreement (which
> talks about what happens if the IETF or IESG ceases to exist
> but not if the IAOC ceases to exist). I think you're correct
> that it could be improved, but can we separate that from the
> current proposed changes?

Sure.  Especially if someone explains why the other changes have
to be done on a hurry-up basis.

    john

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 04 Apr 2008 11:50:23 +0200

After considering the comments so far, I think I disagree with having a 
separate Trust chair.

The idea behind making the IAOC be the Trustees was, among other things, 
to make sure that we didn't create yet another nexus of control in the 
labyrinth of committees; I understood the legal existence of the 
Trustees as something different (in name) from the IAOC to be strictly 
something we did for legal purposes

If the IAOC chair is overburdened by having to manage the IAOC in two 
different contexts, get him (or her) a secretary.

I agree with John's comment that leaving the current trustees in charge 
on dissolution of the IAOC is inappropriate; for one thing, that also 
removes all the recall mechanisms.
Figure out something else to do in this case.

                           Harald

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 04 Apr 2008 11:57:56 +0200

Ray Pelletier wrote:
> upon their acceptance in writing].
This is already covered in the Trust agreement section 6.1, which states 
that the IAOC are "Eligible Persons", and they become Trustees when they 
agree to that in writing. The addition makes the administrative 
procedures consistent with the trust agreement - but why say it twice?
> If at any time the IAOC ceases to exist, the Trustees then in office 
> shall remain in office and determine the future of the Trust in 
> accordance with the Trust Agreement.
This is already covered in the Trust Agreement section 6.1 (c) - the 
expiration of the IAOC would reduce the number of Eligible Persons to 
zero, making the IESG, or the IESG's successor as the leadership of the 
IETF, repsonsible for picking at least 3 people to serve as temporary 
Trustees.

So this proposed change would be in breach of the trust agreement - not 
good.

The administrative procedures need to refer to section 6.1 of the trust 
agreement; creativity is bad.

                  Harald

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 05 Apr 2008 16:34:11 +1300

> procedures consistent with the trust agreement - but why say it twice?

I agree with that - which is why it *is* a no-op as far as the adminstrative
procedures document is concerned. I also agree with John Klensin that the
process of inducting IAOC members must include this signature, but I'm
not sure that we need to modify any documents, since RFC 4371
updates RFC 4071 and contains a normative reference to the Trust
Agreement. I think the paper trail is already complete.

> So this proposed change would be in breach of the trust agreement - not 

I believe that is correct. No IAOC means that all Trustees vanish
instantly and the IESG has to take action. Good catch.

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 05 Apr 2008 16:37:16 +1300

-1. I think that given the pressure of work on our
volunteer "officials", we should allow load sharing
wherever it's feasible. We have running code here -
despite having the IAD's support and a volunteer
Secretary for the Trust, two successive IAOC chairs
have been overburdened.

   Brian

---

From: Leslie Daigle <[email-masked]>
Date: Mon, 07 Apr 2008 15:22:29 -0400

+1 from me.

The role of the Trust Chair used to be pretty lightweight:  either it
still is, and Harald's advice is sound (get clerical help), or it
no longer is, and a more detailed explanation of the experienced change
would be helpful to the community being asked for comment.

Leslie.

---

From: Fred Baker <[email-masked]>
Date: Mon, 7 Apr 2008 13:31:14 -0700

On Apr 3, 2008, at 1:54 PM, John C Klensin wrote:
> Probably the Trust and/or IAOC procedures or charter should be  
> modified so that, in the event of the demise of the IAOC, the Trust  
> falls firmly under direct IETF control (unless the IETF itself  
> ceases to exist).

The concept makes sense to me, but I'd be interested to understand  
how that would be implemented. All decisions of the trust happen in  
discussions on the IETF mailing list, and the consensus of the  
community as determined by J i m F l e m i n g rules?
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Ray Pelletier <[email-masked]>
Date: Mon, 07 Apr 2008 16:55:41 -0400

> community as determined by J i m F l e m i n g rules?

As Jorge pointed out:

This is covered by Section 6.1(c) of the Trust Agreement.  If
there are ever fewer than 3 Trustees, the IESG will appoint new
Trustees.  The existing Trustees do NOT become "permanent appointments"
if the IAOC is dissolved.  Rather, the IESG would appoint 3 Trustees
until the IAOC or some successor is constituted.

Ray

---

From: John C Klensin <[email-masked]>
Date: Mon, 07 Apr 2008 17:28:37 -0400

--On Monday, 07 April, 2008 16:55 -0400 Ray Pelletier
<[email-masked]> wrote:

>>> Probably the Trust and/or IAOC procedures or charter should
>>> be   modified so that, in the event of the demise of the
>>> IAOC, the Trust   falls firmly under direct IETF control
>>> (unless the IETF itself   ceases to exist).
>> 
>> 
>> The concept makes sense to me, but I'd be interested to
>> understand   how that would be implemented. All decisions of
>> the trust happen in   discussions on the IETF mailing list,
>> and the consensus of the   community as determined by J i m F
>> l e m i n g rules?
> 
> As Jorge pointed out:
> 

But this is inconsistent with the text that you circulated,
which said, in part,...

	"If at any time the IAOC ceases to exist, the Trustees
	then in office shall remain in office and determine the
	future of the Trust in accordance with the Trust
	Agreement."

A common-sense reading of that statement says that, if the IAOC
disappears, all Trustees stay in office and make decisions about
the trust.   Jorge's comment and the Trust agreement seem to say
that, if the IAOC ceases to exist, the Trustees (with the
possible exception of the ISOC two) cease to be Trustees and it
is then the responsibility of the IESG to appoint new Trustees
who would "determine the future of the Trust".

All I'm asking about this is what others have asked -- that the
text you propose (and any related administrative procedures that
the Trustees have agreed on) be brought into line with the clear
intent of the Trust and IAOC agreements.

     john

---

From: Ray Pelletier <[email-masked]>
Date: Mon, 07 Apr 2008 17:56:07 -0400

>intent of the Trust and IAOC agreements.
And that will be done,
Ray